import { requestClient } from '#/api/request';
enum Api {
  queryrclassesApi = '/scheduleShiftManagement/management/list',
  addClassesApi = '/scheduleShiftManagement/management',
  //编辑班次管理
  updateClassesApi = '/scheduleShiftManagement/management',
  //删除班次管理
  deleteClassesApi = '/scheduleShiftManagement/management',
}
//班次管理列表
export function queryrclassesApilist(params: any) {
  return requestClient.get(Api.queryrclassesApi, { params });
}
//添加班次管理
export function addClassesApi(data: any) {
  return requestClient.post(Api.addClassesApi, data, {
    successMessageMode: 'message',
  });
}
//编辑班次管理
export function updateClassesApi(data: any) {
  return requestClient.put(Api.updateClassesApi, data, {
    successMessageMode: 'message',
  });
}
//删除班次管理
export function deleteClassesApi(ids: any) {
  return requestClient.delete(`${Api.deleteClassesApi}/${ids}`, {
    successMessageMode: 'message',
  });
}
// export function addtodoaskslist(data: any) {
//   return requestClient.post(Api.addtodoaskslist, data, {
//     successMessageMode: 'message',
//   });
// }
// //查询执行人列表
// export function queryExecutorList(params: any) {
//   return requestClient.get(Api.executorApi, {params});
// }
// //查询加油站列表
// export function queryGasStationList(params: any) {
//   return requestClient.get(Api.queryrgasstation, {params});
// }
